Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I installed the .NET Framework 4.0 in my Windows Server 2008. I also created and deployed applications that use MVC3 in the server using VS2010 and they work without any problem.

Now I need to install the WCF LOB in the server in order to install the adapter for BizTalk. When I launch the installation for the WDF LOB the Microsoft installer tells me that the component needs at least the .NET 3.5 framework (when actually there is the 4.0).

I tried in explorer javascript:alert(navigator.userAgent) and this is the response that I get (just the relevant parts):

.NET CLR 2.0.50727: .NET4.0C: .NET4.0E

Moreover I check in the registry key and the version value is present just in the 2.0 folder (although the 4.0 folder is present)

What can be the problem? Thanks

Francesco

share|improve this question
2  
Have you installed .NET Framework 3.0 from the features section? –  Vick Vega May 3 '11 at 15:01
    
@Vick Vega: which features section do you refer to? Shall I install the .NET framework 3.0? Before installing the framework do you suggest me to uninstall the .NET 4.0? –  CiccioMiami May 4 '11 at 8:49
    
Framework 3 is part of FEATURES section in the "Windows 2008" server manager. Install it from there. technet.microsoft.com/en-us/library/cc753319(v=ws.10).aspx search for "What are features?" on the page. It would be a section below. –  Vick Vega May 4 '11 at 14:04
    
@Vick Vega: ok now I got it, I though you were referring to BizTalk features, thanks –  CiccioMiami May 4 '11 at 14:19

2 Answers 2

up vote 0 down vote accepted

I don't know if this is your issue, but a similar problem happened with OCS 2007 R2: if the 4.0 framework was installed, the installer exited with an error, complaining about the 3.0 being missing (although it was actually there). This was actually an installer bug.

Only workaround: remove the 4.0 framework, run the OCS installer and then (if needed) you could safely reinstall it.


By the way, .NET Framework 4.0 is not an updated version of 3.5, but a completely different release which doesn't include it; so if you actually only installed 4.0 but not 3.5, then the installer would be right in saying 3.5 is not there; what I suggested was based on the assumption that you are absolutely, positively sure that you have installed both 3.5 and 4.0, and yet the installer still doesn't work (as happens with OCS). If you didn't install 3.5, you should definitely do that.

share|improve this answer
    
I guess it is the same error. You suggest me to remove the 4.0 and install it just after the adapter for BizTalk? The strange thing is that, although there is the .NET 4, it complains because the .NET 3.5 is missing. Shall I unistall and then install again that version fo the framework as well? –  CiccioMiami May 4 '11 at 8:51
    
@Francesco: that's exactly what happens with OCS, it probably has a buggy version check. I tested it several times: even if 3.5 is installed and enabled, the installer exits with an error if it finds 4.0; only workaround: remove it. I'm of course not saying this is for sure the same issue you're experiencing, but it's worth trying. –  Massimo May 4 '11 at 12:05
    
thanks for the answer. I am a web developer not an infrastructure expert, sometimes I get stuck with such kind of issues. I was referring to .NET 4.0 because the software was telling that it requires ".NET 3.5 or higher" and I also know(from developer's point of view) that they got backwards compatibility. I'll try to install 3.5 as well and let's see how it goes. –  CiccioMiami May 4 '11 at 14:24
    
@Francesco: I totally agree, Microsoft's approach to numbering .NET versions is somewhat... peculiar. 3.0 and 3.5 are incremental add-ons to the basic 2.0 framework, while 4.0 counts as a completely different product. –  Massimo May 4 '11 at 16:10

Framework 3 is part of FEATURES section in the "Windows 2008" server manager. Install it from there. http://technet.microsoft.com/en-us/library/cc753319(v=ws.10).aspx search for "What are features?" on the page. It would be a section below.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.